Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
call-dispositions
/
{id}
Get Call Disposition
curl --request GET \
  --url https://api.trillet.ai/v1/api/call-dispositions/{id} \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "_id": "665a1b2c3d4e5f6a7b8c9d0e",
  "phoneNumber": "+14155551234",
  "disposition": "callback_scheduled",
  "status": "pending",
  "scheduledAt": "2024-06-02T14:00:00.000Z",
  "attempt": 1,
  "agentId": "665a1b2c3d4e5f6a7b8c9d0f",
  "batchId": "665a1b2c3d4e5f6a7b8c9d10",
  "notes": "Customer requested callback after 2pm",
  "createdAt": "2024-06-01T10:00:00.000Z"
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Path Parameters

id
string
required
The unique identifier of the call disposition.

Response Fields

_id
string
Unique identifier for the disposition.
phoneNumber
string
Phone number associated with the disposition.
disposition
string
Disposition type (e.g., “callback_scheduled”, “no_answer”, “completed”).
status
string
Current status of the disposition.
scheduledAt
string
Scheduled callback time (if applicable).
attempt
number
Attempt number for this call.
agentId
string
Agent ID that handled the call.
batchId
string
Batch call ID (if part of a batch).
notes
string
Any notes from the call or disposition.
{
  "_id": "665a1b2c3d4e5f6a7b8c9d0e",
  "phoneNumber": "+14155551234",
  "disposition": "callback_scheduled",
  "status": "pending",
  "scheduledAt": "2024-06-02T14:00:00.000Z",
  "attempt": 1,
  "agentId": "665a1b2c3d4e5f6a7b8c9d0f",
  "batchId": "665a1b2c3d4e5f6a7b8c9d10",
  "notes": "Customer requested callback after 2pm",
  "createdAt": "2024-06-01T10:00:00.000Z"
}